﻿Public Class Form1


    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Text = AppTitleAndVersion()
        EventsAreEnabled = False
        Load_INI()
        SetValues()
        JoyOpenAll()
        Timer1.Interval = 10
        Timer1.Start()
        EventsAreEnabled = True
    End Sub

    Private Sub Form1_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        Save_INI()
        JoyCloseAll()
    End Sub

    Private Sub Form_LocationChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.LocationChanged
        If Not EventsAreEnabled Then Return
        LimitFormPosition(Me)
    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        JoyReadAllDevices()
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        JoyControlPanel()
    End Sub

    Private Sub txt_FirstSlot_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txt_FirstSlot.TextChanged
        If Not EventsAreEnabled Then Return
        SetValues()
    End Sub

    Private Sub RadioButton1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton1.CheckedChanged
        If Not EventsAreEnabled Then Return
        SetValues()
    End Sub

    Private Sub chk_Reversed_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk_Reversed.CheckedChanged
        If Not EventsAreEnabled Then Return
        SetValues()
    End Sub

    Private Sub SetValues()
        JoySetFirstSlot(txt_FirstSlot.NumericValueInteger)
        If RadioButton1.Checked Then JoySetRange(1)
        If RadioButton2.Checked Then JoySetRange(2)
        JoySetReversed(chk_Reversed.Checked)
    End Sub

End Class
